CVE-2002-0297
CVSS5.0
发布时间 :2002-05-31 00:00:00
修订时间 :2016-10-17 22:18:37
NMCOS    

[原文]Buffer overflow in ScriptEase MiniWeb Server 0.95 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a long URL in an HTTP request.


[CNNVD]Nombas ScriptEase:WebServer Edition拒绝服务漏洞(CNNVD-200205-136)

        
        ScriptEase MiniWeb Server并非商业WEB Server,仅仅用于快速建立自己的WEB站点,方便设计、调试CGI脚本。
        ScriptEase MiniWeb Server易受拒绝服务攻击。提交如下URL请求将导致WEB Server崩溃
        http://host/AAAAAA...(Ax2000)...AAAAAA
        重启WEB Server才能恢复正常
        

- CVSS (基础分值)

CVSS分值: 5 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-0297
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-0297
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200205-136
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=101415883727615&w=2
(UNKNOWN)  BUGTRAQ  20020219 ScriptEase MiniWeb Server DoS Vulnerability
http://www.securityfocus.com/bid/4128
(UNKNOWN)  BID  4128

- 漏洞信息

Nombas ScriptEase:WebServer Edition拒绝服务漏洞
中危 其他
2002-05-31 00:00:00 2006-05-01 00:00:00
远程  
        
        ScriptEase MiniWeb Server并非商业WEB Server,仅仅用于快速建立自己的WEB站点,方便设计、调试CGI脚本。
        ScriptEase MiniWeb Server易受拒绝服务攻击。提交如下URL请求将导致WEB Server崩溃
        http://host/AAAAAA...(Ax2000)...AAAAAA
        重启WEB Server才能恢复正常
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时没有好的临时解决方法。
        厂商补丁:
        Nombas ScriptEase
        -----------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.nombas.com/us/sewse/index.htm

- 漏洞信息

12671
Nombas ScriptEase MiniWeb Server Long URL Overflow
Input Manipulation
Loss of Integrity

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-02-19 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Nombas ScriptEase:WebServer Edition Denial of Service Vulnerability
Failure to Handle Exceptional Conditions 4128
Yes No
2002-02-19 12:00:00 2009-07-11 10:56:00
Discovered by Tamer Sahin <ts@securityoffice.net>.

- 受影响的程序版本

Nombas ScriptEase: Webserver Edition 0.95 win3.x
Nombas ScriptEase: Webserver Edition 0.95 Solaris
Nombas ScriptEase: Webserver Edition 0.95 ppc
Nombas ScriptEase: Webserver Edition 0.95 OS/2
Nombas ScriptEase: Webserver Edition 0.95 Netware 5
Nombas ScriptEase: Webserver Edition 0.95 Linux
Nombas ScriptEase: Webserver Edition 0.95 ISAPI win32
Nombas ScriptEase: Webserver Edition 0.95 IRIX
Nombas ScriptEase: Webserver Edition 0.95 HP-UX
Nombas ScriptEase: Webserver Edition 0.95 FreeBSD
Nombas ScriptEase: Webserver Edition 0.95 CGIWINCGI win32

- 漏洞讨论

Nombas ScriptEase:Webserver Edition is designed to allow the development of web based applications in Javascript. It includes the ability to execute Javascript code in response to CGI requests, and support for developer features such as remote debugging.

Reportedly versions of Nombas ScriptEase Webserver Edition are subject to a denial of service condition.

Submitting a request composed of unusual number of arbitrary character sequences could cause the host to stop responding.

A restart of the server may be required in order to regain normal functionality.

- 漏洞利用

No exploit code required.

- 解决方案

Currently the SecurityFocus staff are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站